winetricks (0.0+20210206-2) unstable; urgency=medium

  * Add patch to update vcrun2019 hashes. (Closes: #986376)
  * Add upstream patch allowing using --force to ignore the sha256sum check.

 -- Jens Reyer <jre.winesim@gmail.com>  Tue, 13 Apr 2021 22:05:56 +0200

winetricks (0.0+20210206-1) unstable; urgency=medium

  * New upstream release 20210206. (Closes: #961205, #981660)
  * Update and fix watch file.
  * Refresh patch.
  * Update to debhelper compatibility level 13.
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Update d/copyright.
  * Remove Joseph Bisch from Uploaders, thanks.

 -- Jens Reyer <jre.winesim@gmail.com>  Sun, 07 Feb 2021 01:18:11 +0100

winetricks (0.0+20200412-1) unstable; urgency=medium

  * New upstream release 20200412.
  * Refresh patches.

 -- Jens Reyer <jre.winesim@gmail.com>  Tue, 14 Apr 2020 19:38:52 +0200

winetricks (0.0+20191224-1) unstable; urgency=medium

  * New upstream release 20191224.
  * Refresh patches.
  * Minor update of README.source.
  * Update standards version to 4.5.0, no changes needed.
  * Refer to common license file for CC0-1.0.
  * Fix misspelling of Close => Closes.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Jens Reyer <jre.winesim@gmail.com>  Mon, 23 Mar 2020 18:53:49 +0100

winetricks (0.0+20190912-1) unstable; urgency=medium

  * New upstream release 20190912.
  * Refresh patches.
  * Demote file-format specific dependencies to "Recommends".
  * Depend on p7zip-full instead of p7zip.
  * Add unrar(-free) to suggested packages.
  * README.source: add some tooling tips.
  * Update standards version, no changes needed.
  * Bump debhelper from old 11 to 12.
  * Clarify prompt before the selfupdate.

 -- Jens Reyer <jre.winesim@gmail.com>  Fri, 13 Sep 2019 12:37:27 +0200

winetricks (0.0+20190615-1) experimental; urgency=medium

  * New upstream release 20190615.
  * Recommend xz-utils to decompress some tar archives.
  * Update some copyright years.
  * Refresh patches.
    Drop appdata-license.patch and drop-bash-completion-download.patch,
    applied upstream.
  * Bump Standards-Version to 4.3.0.

 -- Jens Reyer <jre.winesim@gmail.com>  Sat, 15 Jun 2019 18:50:14 +0200

winetricks (0.0+20181203-3) unstable; urgency=low

  * Drop remove-self-update.patch.
  * Add disable-automatic-selfupdate.patch.
    Disable automatic online version check and selfupdate.
    Warn and require confirmation on manual selfupdate. (Closes: #916613)
    Document this in README.Debian.

 -- Jens Reyer <jre.winesim@gmail.com>  Sat, 22 Dec 2018 14:52:50 +0100

winetricks (0.0+20181203-2) unstable; urgency=medium

  * Add appdata-license.patch to set the correct project license.
  * Add drop-bash-completion-download.patch to prevent automatic net connection.
  * Update information about optional dependencies in README.Debian.
  * Update package description in d/control.
  * Recommend fuseiso or archivemount to mount cached iso files.

 -- Jens Reyer <jre.winesim@gmail.com>  Sun, 09 Dec 2018 12:34:21 +0100

winetricks (0.0+20181203-1) unstable; urgency=medium

  * New upstream release 20181203.
  * Drop bash-completion.patch, applied upstream.
  * Refresh patch.

 -- Jens Reyer <jre.winesim@gmail.com>  Tue, 04 Dec 2018 21:19:45 +0100

winetricks (0.0+20180815-1) unstable; urgency=medium

  * New upstream release 20180815.
  * Drop alioth reference from README.source.
  * Refresh patches.
  * Add patch to remove shebang line from the new bash-completion.
  * Add copyright information for src/winetricks.bash-completion.
  * Bump Standards-Version to 4.2.1 (no changes needed).

 -- Jens Reyer <jre.winesim@gmail.com>  Sun, 07 Oct 2018 13:46:25 +0200

winetricks (0.0+20180603-1) unstable; urgency=medium

  * New upstream release 20180603.
  * Refresh patches.

 -- Jens Reyer <jre.winesim@gmail.com>  Sun, 03 Jun 2018 16:55:50 +0200

winetricks (0.0+20180513-1) unstable; urgency=medium

  * New upstream release 20180513.
  * Promote aria2 to preferred alternative to wget/curl.
  * Run wrap-and-sort.
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Refresh patches.
  * Update maintainer address to debian-wine@lists.debian.org.
  * Update Vcs-fields for new salsa.debian.org URIs.
  * Set "Rules-Requires-Root: no" in d/control.
  * Rename README.Maintainer to README.source.
  * Update preamble of README.source.

 -- Jens Reyer <jre.winesim@gmail.com>  Sun, 20 May 2018 19:35:41 +0200

winetricks (0.0+20180217-1) unstable; urgency=medium

  * New upstream release 20180217.
  * Change to new upstream signing key.
  * d/control:
    - Depend on policykit-1 (pkexec) or kde-cli-tools (kdesu).
      Drop dependencies on gksu and kdesudo.
      Separately depend on sudo. (Closes: #885548)
    - Drop dependency on zip (not needed).
    - Alternatively depend on curl next to wget.
    - Alternatively depend on x11-utils next to zenity or kdialog.

 -- Jens Reyer <jre.winesim@gmail.com>  Tue, 20 Feb 2018 16:40:14 +0100

winetricks (0.0+20171222-1) unstable; urgency=medium

  * New upstream release 20171212.
  * d/patches:
    - Drop fix-save-report-statistics-preference.patch (applied upstream).
    - Refresh patches.
  * d/control: Migrate kdebase-bin relationship to kdialog.
    Thanks to Pino Toscano <pino@debian.org> for the patch. (Closes: #885869)
  * Bump debhelper compat level to 11.
  * Bump Standards-Version to 4.1.3 (no changes needed).

 -- Jens Reyer <jre.winesim@gmail.com>  Fri, 02 Feb 2018 00:15:15 +0100

winetricks (0.0+20171018-1) unstable; urgency=medium

  * New upstream release 20171018.
  * d/patches:
    - Refresh patches.
    - Drop appdata.patch (applied upstream).
    - Add fix-save-report-statistics-preference.patch.
  * d/README.Maintainer: Improve upstream changelog instructions.

 -- Jens Reyer <jre.winesim@gmail.com>  Sat, 21 Oct 2017 15:21:01 +0200

winetricks (0.0+20170823-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release 20170823.
  * d/gbp.conf: Enable pristine-tar in "gbp pull".
  * d/copyright: Update.
  * d/patches:
    - Refresh patches.
    - Add patch to use /usr/share/metainfo/ for appdata.xml.
  * d/rules: Use dpkg library to get upstream version.
  * d/README.Maintainer: Document get-changelog.
  * d/control: Update standards version.
  * d/changelog: Fix typo about upstream changelog location in previous entry.

 -- Jens Reyer <jre.winesim@gmail.com>  Sun, 15 Oct 2017 22:33:12 +0200

winetricks (0.0+20170327-1) experimental; urgency=medium

  * New upstream release 20170327.
  * Add initial d/gbp.conf.
  * Bump debhelper compat level to 10.
  * Drop d/winetricks.desktop (applied upstream 20170207).
  * Drop d/winetricks.svg (applied upstream 20170207).
  * Drop d/install (all files get installed correctly by upstream now).
  * Drop d/manpages (gets installed correctly by upstream).
  * Drop unused d/winetricks.1.pod and related code.
  * Upstream changelog:
    - Move to d/upstream/.
    - Create based on git tag name.
    - Update for 20170327.
  * d/rules: Drop unused variables.
  * d/copyright:
    - Drop unnecessary or outdated comments, move to https.
    - Consistently use LGPL-2.1+ everywhere (upstream and debian).
      Upstream applied a license cleanup with all authors' consent.
    - Add myself.
  * debian/patches/:
    - Drop 10-option-gui.patch.
      "winetricks" without further options will start the GUI now.
    - Simplify remove-self-update.patch.
  * d/README.Debian:
    - Update and simplify.
  * d/control:
    - Add kdesudo as sudo alternative.
    - Add myself to uploaders.
  * Add lintian override for desktop-entry-lacks-keywords-entry.
  * Add initial d/README.Maintainer.

 -- Jens Reyer <jre.winesim@gmail.com>  Wed, 12 Apr 2017 20:32:57 +0200

winetricks (0.0+20170101-1) unstable; urgency=medium

  * Team upload.

  * New upstream release.
  * d/control,README.Debian:
    - Only depend on unversioned "wine" (Closes: #825395).
    - Drop outdated dependency on libwine.
  * d/control:
    - Add dependency on binutils (Closes: #827207).
    - Use official caption "Wine" instead of "WINE".
  * d/install:
    - Install icon and desktop file in recognized system paths
      (Closes: #846355).
  * winetricks.desktop:
    - Start winetricks with gui option.
    - Update Comment and Categories.
  * d/u/signing-key.asc:
    - Add upstream signing key.
  * d/watch:
    - Verify gpg signature of upstream release.
  * d/upstream.changelog:
    - Update.
  * debian/patches:
    - Refresh.
    - Also drop latest version check in remove-self-update.patch.

 -- Jens Reyer <jre.winesim@gmail.com>  Mon, 16 Jan 2017 23:27:02 +0100

winetricks (0.0+20160425-1) unstable; urgency=medium

  * New upstream release
    - Fix download links (Closes: #822754).
  * debian/upstream.changelog
    - Update.
  * debian/README.debian
    - Update for newer versions of wine and winetricks (Closes: #810658).
  * debian/control
    - Update depends (Closes: #810658).
    - Bump Standards-Version.
    - Update Vcs-{Git,Browser} to use HTTPS.
    - Set minimum wine and wine-development version (Closes: #782680, #807045).
    - Add aria2 and tor Suggests (for aria2c and torify).
    - Replace myself with Debian Wine Party as maintainer.
    - Set myself as uploader.
    - Set Vcs-{Git,Browser} to pkg-wine instead of collab-maint.
  * debian/copyright
    - Bump year for myself.
    - Add Austin English as Upstream-Contact instead of Dan Kegel.
    - Update Source to point to GitHub.
  * debian/patches
    - Remove adobeair-sha1sum-fix.patch.
    - Refresh remaining patch.
    - Add remove-self-update.patch.

 -- Joseph Bisch <joseph.bisch@gmail.com>  Sun, 01 May 2016 12:58:24 -0400

winetricks (0.0+20151116-1) unstable; urgency=low

  * New upstream release
    - Use mktemp for temp files (Closes: #790928).
    - Update sha1sum for steam (Closes: #775546).
  * debian/control
    - Update URLs to GitHub.
    - Update depends.
  * debian/copyright
    - Update URLs to GitHub.
    - Update copyright years.
  * debian/patches
    - Remove obsolete vcrun2013 patch.
    - Refresh patches.
    - Add adobeair sha1sum fix patch (Closes: #790929).
  * debian/watch
    - Update for GitHub repo.
  * debian/upstream.changelog
    - Update.
  * debian/rules
    - Change gen-changelog to work with Git.
  * debian/README.Debian
    - Add note about wine64.

 -- Joseph Bisch <joseph.bisch@gmail.com>  Wed, 09 Dec 2015 11:19:51 -0500

winetricks (0.0+20141009+svn1208-2) unstable; urgency=medium

  * debian/patches
    - Add fix for vcrun2013 sha1sum mismatch (Closes: #775439).

 -- Joseph Bisch <joseph.bisch@gmail.com>  Sun, 01 Feb 2015 21:38:06 +0000

winetricks (0.0+20141009+svn1208-1) unstable; urgency=medium

  * New upstream release
    - Add support for the wine-development package (Closes: #758996).
  * debian/README.Debian
    - Fix git clone url (Closes: #762596).
    - Add note about setting WINE and WINESERVER.
    - Change order to descending.

 -- Joseph Bisch <joseph.bisch@gmail.com>  Thu, 09 Oct 2014 11:49:56 -0400

winetricks (0.0+20140818+svn1202-1) unstable; urgency=low

  * debian/control
    - New maintainer (Closes: #735288).
    - Add wine-development to depends.
    - Use wrap-and-sort.
  * debian/copyright
    - Add Joseph Bisch for debian/*.
    - Update upstream names.
  * debian/upstream.changelog
    - Update.
  * debian/clean
    - Remove.
  * debian/watch
    - Update.
  * debian/rules
    - Remove installation of winetricks.svg.
  * Move content from long description to README.Debian

 -- Joseph Bisch <joseph.bisch@gmail.com>  Mon, 01 Sep 2014 22:40:40 +0000

winetricks (0.0+20140115+svn1086-1) unstable; urgency=low

  * New upstream release
    - Search usr/lib/$arch/wine/bin (multiarch; Closes: #734464).
  * debian/control
    - (Depends): add arch specific wine package checks.
      (Closes: #731195). Patch thanks to Simon McVittie
      <smcv@debian.org>.
    - (Standards): Update to 3.9.5.
  * debian/upstream.changelog
    - Update.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 16 Jan 2014 06:54:07 +0200

winetricks (0.0+20130830+svn1053-1) unstable; urgency=low

  * New upstream release
    - Contains check for python26 install for Wine 1.4.1 (Closes: #720737).
      See https://code.google.com/p/winetricks/issues/detail?id=347

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 30 Aug 2013 06:27:52 +0300

winetricks (0.0+20130824+svn1049-1) unstable; urgency=low

  * New upstream release
  * debian/upstream.changelog
    - Update.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 25 Aug 2013 08:59:08 +0300

winetricks (0.0+20130802+svn1040-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - (Description): Adjust wording (Closes: #718488). Patch thanks to
      Pascal De Vuyst <pascal.devuyst@gmail.com>.
  * debian/rules
    - (get-changelog): cd to upstream.svn directory.
  * debian/upstream.changelog
    - Update.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 02 Aug 2013 13:31:06 +0300

winetricks (0.0+20130702+svn1032-1) unstable; urgency=low

  * New upstream release
    - Fix install wsh56 (r1008; Closes: #701871).
  * debian/clean
    - Remove winetricks-install-gecko.
  * debian/control
    - (Description): Remove gecko note.
  * debian/install
    - Remove winetricks-install-gecko.
  * debian/rules:
    - (override_dh_auto_install): Don't install gecko script.
  * debian/upstream.changelog
    - Update.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 02 Jul 2013 16:09:39 +0300

winetricks (0.0+20130624+svn1004-2) unstable; urgency=low

  * debian/control:
    - (winetricks::Multi-Arch): New. Has to be defined in binary package
      section. Thanks to Dmitry Smirnov <onlyjob@debian.org>. (reopen;
      Closes: #713060).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 29 Jun 2013 10:41:04 +0300

winetricks (0.0+20130624+svn1004-1) unstable; urgency=low

  * New upstream release
    - Update to latest SVN snapshot (Closes: #712625).
    - Fix wineserver path (Closes: #713058).
    - Fix install mfc (Closes: #691935).
    - Fix install psdk2003 (Closes: #693724).
    - Fix install steam (Closes: #703967).
  * debian/control:
    - (Description): Mention libwine.
    - (Depends): add zip.
    - (Multi-Arch): Delete. Not a binary package (Closes: #713060).
    - (Suggests): Add libwine.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright:
    - Update years, add devel list and update upstream developers.
  * debian/rules
    - (override_dh_auto_install): Install icon (Closes: #708198).
    - (override_dh_auto_test): New.
  * debian/winetricks.svg
    - New.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 25 Jun 2013 09:14:43 +0300

winetricks (0.0+20121030+svn918-2) unstable; urgency=low

  * debian/control:
    - (Multi-Arch): foreign (new field; Closes: #696591). This
      should satisfy dependencies of a package of a different
      architecture, like win64 or win32.
  * debian/copyright
    - Update year.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 16 Feb 2013 19:23:15 +0200

winetricks (0.0+20121030+svn918-1) unstable; urgency=low

  [ Jari Aalto ]
  * New upstream release.
  * debian/control:
    - (Depends): Replace "wine-bin | wine-bin-unstable | wine64-bin,
      libwine | libwine-unstable | libwine-dbg-unstable" with
      "wine | wine-unstable" (Closes: #686193).

  [ Tony Mancill ]
  * Remove Suggests: from debian/control.

 -- Tony Mancill <tmancill@debian.org>  Fri, 02 Nov 2012 17:10:01 +0100

winetricks (0.0+20120826+svn907-1) unstable; urgency=high

  * New upstream release
    - All download links (e.g. those pointing to Microsoft) updated.
  * debian/control
    - (Depends): Add libwine | libwine-unstable | libwine-dbg-unstable to
      satisfy requirement for wineserver.
  * debian/patches
    - (10): New; Fix --gui option to start GUI only when option is enabled.
  * debian/README.Debian
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 27 Aug 2012 17:37:27 +0300

winetricks (0.0+20120606+svn831-3) unstable; urgency=low

  * debian/control
    - (Depends): Add wine64-bin for x64 systems. Patch thanks to
      Tobias Hansen <tobias.han@gmx.de> (Closes: #678840, #682321, #680955).

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 01 Aug 2012 20:11:17 +0300

winetricks (0.0+20120606+svn831-2) unstable; urgency=low

  * debian/control
    - (Depends): Downgrade depends from full wine metapackage to wine-bin.
      Likewise for wine-unstable. Patch thanks to Michael Gilbert
      <mgilbert@debian.org> (Closes: #678296).
    - (Suggests): New; add wine | wine-unsable.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 20 Jun 2012 20:53:26 +0300

winetricks (0.0+20120606+svn831-1) unstable; urgency=low

  * New upstream release.
  * debian/patches
    - Remove directory. Multiarch PATH patch accepted upstream
      (Closes: #676294).

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 06 Jun 2012 07:57:39 +0300

winetricks (0.0+20120512+svn814-1) unstable; urgency=low

  * New upstream release.
    - New program: winetricks-install-gecko.
  * debian/control
    - (Description): Add paragraph explainig how to install winetricks
      for users who install wine from sources; out of packaging system's
      control. Suggest using equivs package and its tools. Thanks
      to Gergely Nagy <algernon@debian.org>.
    - (package::winetricks-wine): Remove. See above,
  * debian/install
    - New file.
  * debian/patches
    - (10): Improve wineserver detection (Closes: #672681),
  * debian/README.winetricks-wine
    - Delete; no longer used.
  * debian/rules
    - (override_dh_auto_install): Simplify. Move items to debian/install.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 12 May 2012 23:20:07 +0300

winetricks (0.0+20120313+svn798-4) unstable; urgency=low

  * debian/control
    - (winetricks-wine): New dummy package to satisfy depends for users
      that compile wine themselves (Closes: #668367).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 10 May 2012 13:23:18 +0300

winetricks (0.0+20120313+svn798-3) unstable; urgency=low

  * debian/control
    - (Depends): Add wine-unstable and drop libwine (Closes: #668149).

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 09 Apr 2012 14:24:58 +0300

winetricks (0.0+20120313+svn798-2) unstable; urgency=low

  * debian/control
    - (winetricks::Depends): Add wine and libwine.
  * debian/patches
    - (10): New. Define wineserver path (Closes: #667597).
      See http://code.google.com/p/winetricks/issues/detail?id=191
      and http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=667486

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 05 Apr 2012 13:40:59 +0300

winetricks (0.0+20120313+svn798-1) unstable; urgency=low

  * New upstream release.
    - Fix "die" message (Closes: #667486).
  * debian/control
    - (Standards): Update to 3.9.3.1
  * debian/copyright
    - Update to format 1.0

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 04 Apr 2012 16:17:54 +0300

winetricks (0.0+20120207+svn767-1) unstable; urgency=low

  * New upstream release
    - Spotify fix (Closes: #638895).
  * debian/compat
    - Update to 9.
  * debian/control
    - Update to debhelper 9.
  * debian/manpages
    - Update path.
  * debian/rules
    - (override_dh_auto_install): Adjust path location.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 07 Feb 2012 07:00:14 +0200

winetricks (0.0+20110629-1) unstable; urgency=low

  * New upstream release.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 20 Sep 2011 01:02:10 +0300

winetricks (0.0+20110429-1) unstable; urgency=low

  * New upstream release
  * debian/rules
    - (BIN): Update path to sources.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 30 Apr 2011 11:13:29 +0300

winetricks (0.0~20110419+svn493-3) unstable; urgency=low

  * debian/copyright
    - (winetricks.svg): New.
  * debian/rules
    - (override_dh_auto_install): Add *.desktop and *.svg install.
  * debian/winetricks.{desktop,svg}
    - New files (thanks to Ubuntu maintainer Scott Ritchie
      <scott@open-vote.org>).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 21 Apr 2011 16:50:01 +0300

winetricks (0.0~20110419+svn493-2) unstable; urgency=low

  * debian/control
    - Remove wine from (Depends); add wine to (Recommends) for users who
      prefer to build wine from source (see #595427).
    - Add tmancill@debian.org to Uploaders.

 -- tony mancill <tmancill@debian.org>  Wed, 20 Apr 2011 07:39:43 -0700

winetricks (0.0~20110419+svn493-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - (Description): Explain better what other packages may be needed.
    - (Depends): Add p7zip.
    - (Recommends): Add sudo.
    - (Standards): Update to 3.9.2.
  * debian/copyright
    - Update word "Lesser" to "Library" (see #595427).
  * debian/manpages
    - Update to upstream source.
  * debian/rules
    - (BIN): remove *-alpha. source binary has changed its name.
    - (man): No longer needed. Upstream contains manual page.
  * "debian/upstream.changelog
    - Update to current release.
  * debian/watch
    - Add URL.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 19 Apr 2011 19:32:33 +0300

winetricks (0.0~20110305+svn220-1) unstable; urgency=low

  * Initial release (Closes: #595427).

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 09 Mar 2011 09:28:55 +0200
